Package com.orchestranetworks.schema.info

# Interface AssociationLinkByLinkTable

All Superinterfaces:
  `AssociationLink`, `SchemaNodeExplicitRelationship`

public interface AssociationLinkByLinkTable extends AssociationLink
This interface contains the information for an association over a link table (`osd:association/linkTable` property).

Since:
  5.5.1
See Also:
  - Associations
  - `SchemaNode.getAssociationLink()`
  - `AssociationLink.isLinkTable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Path`
  `getFieldToSourcePath()`
  Returns the path of the field to the source table defined in the data model (property `fieldToSource`).
  `Path`
  `getFieldToTargetPath()`
  Returns the path of the field to the target table defined in the data model (property `fieldToTarget`).
  `AdaptationTable`
  `getLinkTable(Adaptation aRecordOrDataSet)`
  Returns the link table of this association.
  `Path`
  `getLinkTablePath()`
  Returns the path of the link table defined in the data model (property `table`).

  ### Methods inherited from interface com.orchestranetworks.schema.info.AssociationLink

  `getAssociationResult, getConstraintPredicate, getDataSetReference, getDataSpaceReference, getMaxOccurs, getMinOccurs, getRecordFormFactoryClass, getTargetTable, getXPathFilter, isConsistent, isLinkTable, isTableRefInverse, isXPathLink`

  ### Methods inherited from interface com.orchestranetworks.schema.relationships.SchemaNodeExplicitRelationship

  `getBreadcrumbProperties, getContainerHome, getContainerReference, getExplicitRelationship, getExplicitRelationship, getOwnerNode, getResult, getTableNode, getTableNode, isAssociationLink, isDynamic, isSelectionLink, isTableRefLink`

- ## Method Details

  - ### getLinkTable

    AdaptationTable getLinkTable(Adaptation aRecordOrDataSet)
    Returns the link table of this association.
    Since:
      5.5.1

  - ### getLinkTablePath

    Path getLinkTablePath()
    Returns the path of the link table defined in the data model (property `table`).
    Since:
      5.5.1

  - ### getFieldToSourcePath

    Path getFieldToSourcePath()
    Returns the path of the field to the source table defined in the data model (property `fieldToSource`).
    Since:
      5.5.1

  - ### getFieldToTargetPath

    Path getFieldToTargetPath()
    Returns the path of the field to the target table defined in the data model (property `fieldToTarget`).
    Since:
      5.5.1